org.apache.tomcat.jni

## Interface SSLContext.SNICallBack

- All Known Implementing Classes:
    AprEndpoint
  Enclosing class:
    SSLContext

      public static interface SSLContext.SNICallBack

  Interface implemented by components that will receive the call back to select an OpenSSL SSLContext based on the host name requested by the client.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getSslContext(String sniHostName)` This callback is made during the TLS handshake when the client uses the SNI extension to request a specific TLS host.

- - ### Method Detail

    - #### getSslContext

          long getSslContext(String sniHostName)

      This callback is made during the TLS handshake when the client uses the SNI extension to request a specific TLS host.
      Parameters:
        `sniHostName` - The host name requested by the client
      Returns:
        The Java representation of the pointer to the OpenSSL SSLContext to use for the given host or zero if no SSLContext could be identified

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.